/* Zet box-sizing voor alle elementen op “border-box”  */
*, *::before, *::after {
    box-sizing: border-box;
}

/* Stel een font en default/fallback font in op het :root element */
:root{
    background-color: oklch(0.9961 0.0034 325.6);
    font-family: 'Montserrat', sans-serif;
    line-height: 1.6rem;
    scroll-behavior: smooth;
}

/* Zet de body margin op 0 */
body{
    margin: 0;
}

/* Maak een .container class */
.container {
    max-width: 80rem;
    margin-inline: auto;
    padding-inline: 1rem;
}
header{
    background-color: oklch(0.1454 0.062 264);
    color: oklch(0.9961 0.0034 325.6);
}
footer{
    background-color: oklch(0.3211 0 0);
    color: oklch(1 0 89.876);
}
nav ul{
    padding: 0;
    margin: 0;
    margin-inline-start: -2rem;
    list-style: none;
}
nav a{
    padding: 1rem 2rem 1rem 2rem;
    display: block;
    text-decoration: none;
    color: inherit;
}
nav ul li:nth-child(2) a{
    background-color: oklch(0.628 0.258 29.234 / 0.450);
    color: oklch(1 0 89.876);
    font-size: 12pt;
    font-weight: normal;
}
p:last-child{
    margin: 0;
}
h2 + p {
    font-style: italic;
}
a[href*="mozilla"]{
    background-color: oklch(0.793 0.171 70.67 / 0.200);
}
.highlight{
    font-style: italic;
    font-weight: bold;
}
.container--narrow{
    max-width: 40rem;
}
.m-1{
    margin: 1rem;
}
.p-2{
    padding: 2rem;
}
main{
    padding-top: 2vh;
    padding-bottom: 4vw;
}
footer .highlight{
    font-style: normal;
    font-weight: normal;
    color: yellow;
}

nav a:hover{
    background-color: oklch(0.628 0.258 29.234 / 0.300);
    font-size: 1.2rem;
}
:focus-visible{
    outline: 4px;
}